extends KinematicBody2D

onready var tween  : = $Tween
export (Vector2) var MOVE_TO: = Vector2.ZERO
export var IDLE_DURATION = 1
export var SPEED = 15

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	_init_tween()

func _init_tween():
	var glorious_icon_size = 64
	MOVE_TO = MOVE_TO * glorious_icon_size
	var duration = MOVE_TO.length() / float(SPEED * glorious_icon_size)
	tween.interpolate_property(self, "position", Vector2.ZERO, MOVE_TO, duration, Tween.TRANS_LINEAR, Tween.TRANS_LINEAR, IDLE_DURATION)
	tween.interpolate_property(self, "position", MOVE_TO, Vector2.ZERO, duration, Tween.TRANS_LINEAR, Tween.TRANS_LINEAR, duration + IDLE_DURATION * 2)
	tween.start()
